$responsive-threshold: 900px;
$toolbar-height: 110px;

:host {
  display: flex;
  flex-direction: column;
  margin: 0 !important;
  padding: 0 !important;
  height: calc(100vh - #{$toolbar-height});
}

:host > header {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  flex-wrap: wrap;
  align-items: center;
  background-color: var(--primary-color);
  color: var(--primary-text-color-inverted);
  padding: .5em;
  // min-height: 3em;
  @media(max-width: $responsive-threshold) {
    min-height: none;
    height: inherit;
  }
  & > * {
    margin: .5em;
  }
  h1 {
    margin-left: .5rem;
  }
}

[flex]{
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  flex-grow: 1;
  overflow: auto;
}
section {
    padding: 1em;
    width: 33%;
    p {
        font-size: 1.2em;
        padding: 5px;
        margin: 0px;
        word-break: normal;
        white-space: normal;
        &[high] {
            background-color: #FFC0CB;
        }
        &[low] {
            background-color: #FFFACD;
        }
    }
}
section[global] {
  min-width: 24em;
}
section[muon], section[calo] {
  min-width: 16em;
}
[content] {
  display: flex;
  flex-flow: column;
  height: 100%;
}
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
  table-layout: fixed;
}
td, th {
  padding: 8px;
}
[topinfo] {
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
}
[nomargin] {
  padding: 0px;
  margin: 0px;
}
[ratetable] {
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: auto;
  overflow: auto;
  min-height: 1.8em;
}
[tableheader] {
  background-color: #c6dafc;
  font-size: 1.2em;
}
[rateheader] {
  width: 6.7em;
  text-align: left;
  font-size: 1em;
}
[ratecolumn] {
  width: 6.7em;
  text-align: right;
}
[namecolumn] {
  width: auto;
  text-align: left;
}
[nameentry] {
  overflow-x: hidden;
  display: block; /* for FF */
}
[nameentry]:hover {
  overflow-x: auto;
}
[wrap] {
  word-wrap: normal;
  white-space: normal;
}
[subsystem] {
  padding-top: 14px;
}
[SortButton] {
  font-size: 0.6em;
  margin: 0px;
  padding: 0px;
  color: #5d5d5d
}
[SortButton]:hover {
  color: #fafafa;
  background-color: #5d5d5d
}
[SortIcon] {
  --iron-icon-height: 19px;
  --iron-icon-width: 19px;
  color: #5d5d5d;
}
tr:nth-child(even) {
  background-color: #dddddd;
}
tr{
  &[threshold="1"] {
    background-color: #FFC0CB;
  }
  &[threshold="2"] {
    background-color: #FFFACD;
  }
}
[FilterInput] {
  background-color: #fafafa;
}
h1 {
  font-size: 2em;
}
h2 {
  text-align: center;
  padding: 0px;
  margin: 0px;
  padding-bottom: 10px;
}
[no-content] {
  flex: 1;
  padding: 50px;
  display: flex;
  flex-direction: column;
  align-items: center;
  @apply --layout-center-justified;

  img {
    width: 160px;
  }
}

[hide] {
  display: none;
}

paper-item {
  background: lightgrey;
}
